"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isJwtAlgorithm = exports.jwtKeyAlgMapping = void 0;
exports.jwtKeyAlgMapping = {
    HMAC: ['HS256', 'HS384', 'HS512'],
    RSA: ['RS256', 'RS384', 'RS512'],
    ECDSA: ['ES256', 'ES384', 'ES512'],
    'RSA-PSS': ['PS256', 'PS384', 'PS512'],
    EdDSA: ['Ed25519'],
};
function isJwtAlgorithm(value) {
    return Object.keys(exports.jwtKeyAlgMapping).includes(value);
}
exports.isJwtAlgorithm = isJwtAlgorithm;
//# sourceMappingURL=jwtUtils.js.map