import type { GetRequestedCredentialsConfig } from './GetRequestedCredentialsConfig';
import type { IndyProposeProofFormat } from '../formats/indy/IndyProofFormat';
import type { IndyRequestProofFormat, IndyVerifyProofFormat } from '../formats/indy/IndyProofFormatsServiceOptions';
import type { ProofRequest } from '../formats/indy/models/ProofRequest';
import type { IndyRequestedCredentialsOptions } from '../formats/indy/models/RequestedCredentials';
import type { RetrievedCredentials } from '../formats/indy/models/RetrievedCredentials';
export interface ProposeProofFormats {
    indy?: IndyProposeProofFormat;
    presentationExchange?: never;
}
export interface RequestProofFormats {
    indy?: IndyRequestProofFormat;
    presentationExchange?: never;
}
export interface CreatePresentationFormats {
    indy?: IndyRequestedCredentialsOptions;
    presentationExchange?: never;
}
export interface AcceptProposalFormats {
    indy?: IndyAcceptProposalOptions;
    presentationExchange?: never;
}
export interface VerifyProofFormats {
    indy?: IndyVerifyProofFormat;
    presentationExchange?: never;
}
export interface RequestedCredentialConfigOptions {
    indy?: GetRequestedCredentialsConfig;
    presentationExchange?: never;
}
export interface ProofRequestFormats {
    indy?: ProofRequest;
    presentationExchange?: undefined;
}
interface IndyAcceptProposalOptions {
    request: ProofRequest;
}
export interface AutoSelectCredentialOptions {
    indy?: RetrievedCredentials;
    presentationExchange?: undefined;
}
export {};
