import { AgentMessage } from '../../../../../agent/AgentMessage';
import { PresentationPreview } from '../models/V1PresentationPreview';
export interface ProposePresentationMessageOptions {
    id?: string;
    comment?: string;
    parentThreadId?: string;
    presentationProposal: PresentationPreview;
}
/**
 * Propose Presentation Message part of Present Proof Protocol used to initiate presentation exchange by holder.
 *
 * @see https://github.com/hyperledger/aries-rfcs/blob/master/features/0037-present-proof/README.md#propose-presentation
 */
export declare class V1ProposePresentationMessage extends AgentMessage {
    constructor(options: ProposePresentationMessageOptions);
    readonly type: string;
    static readonly type: import("../../../../../utils/messageType").ParsedMessageType;
    /**
     * Provides some human readable information about the proposed presentation.
     */
    comment?: string;
    /**
     * Represents the presentation example that prover wants to provide.
     */
    presentationProposal: PresentationPreview;
}
