/**
 *
 * @see For the definitions below see also: https://hyperledger.github.io/indy-did-method/#indy-did-method-identifiers
 *
 */
export type Did = 'did';
export type DidIndyMethod = 'indy';
export type DidIndyNamespace = string;
export type NamespaceIdentifier = string;
export type IndyNamespace = `${Did}:${DidIndyMethod}:${DidIndyNamespace}:${NamespaceIdentifier}`;
export declare function isQualifiedIndyIdentifier(identifier: string | undefined): identifier is IndyNamespace;
export declare function getQualifiedIndyCredentialDefinitionId(indyNamespace: string, unqualifiedCredentialDefinitionId: string): IndyNamespace;
/**
 *
 * @see https://hyperledger.github.io/indy-did-method/#schema
 *
 */
export declare function getQualifiedIndySchemaId(indyNamespace: string, schemaId: string): IndyNamespace;
export declare function getLegacySchemaId(unqualifiedDid: string, name: string, version: string): string;
export declare function getLegacyCredentialDefinitionId(unqualifiedDid: string, seqNo: number, tag: string): string;
